﻿@model IEnumerable<OperationalRiskException.Core.ViewModels.AssessmentReviewVM>
@*@model OperationalRiskException.Core.ViewModels.AssessmentReviewVM*@
@{
    ViewBag.Title = "Dashboard";
    Layout = "~/Views/Shared/_LayoutProcessor.cshtml";
}


<div class="row">
    <div class="col-md-12 grid-margin">
        <div class="d-flex justify-content-between flex-wrap">
            <div class="d-flex align-items-end flex-wrap">
                <div class="d-flex">
                    <i class="mdi mdi-home text-muted hover-cursor"></i>
                    <p class="text-muted mb-0 hover-cursor">&nbsp;/&nbsp; Operational Risk &nbsp;/&nbsp;</p>
                    <p class="text-primary mb-0 hover-cursor">Assessment(s) Rejected</p>
                </div>
            </div>

        </div>
    </div>
</div>


<div class="row">
    <div class="col-md-12 grid-margin stretch-card">
        <div class="card tablecontainer">
            <div class="card-body">
                <h4 class="card-title"></h4>
                <p class="card-description">
                    List of Champion (Assessment(s) Rejected)
                </p>
                <div class="table-responsive pt-3">
                    <table class="table table-bordered" id="myTable">
                        <thead class="table-success">
                            <tr>
                                <th>
                                    Username
                                </th>

                                <th>
                                    Department
                                </th>

                                <th>
                                    Result
                                </th>


                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var items in Model)
                            {
                                <tr>
                                    <td>@items.Username</td>
                                    <td>@items.Department</td>
                                    <td> <a href="@Url.Action("GeneralScript", "OperationalRisk")?userId=@items.UserId&SetupId=@items.AssessmentSetupId" class="btn btn-danger p-3"  target="_blank">Assessment Result</a></td>
                                </tr>
                            }
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>


<script type="text/javascript">
     $(document).ready(function () {
        $("#myTable").DataTable();
    });
</script>
@*<div id="userModal" class="modal fade">
        <div class="modal-dialog">
            <div class="modal-content" id="userModalBody">

            </div>
        </div>
    </div>*@

@*<script type="text/javascript">
        function updateModal(userId) {
            $.get('@Url.Action("Approve", "OperationalRisk")', { Id: userId }, function (res) {
                $("#userModalBody").html(res);
                $("#userModal").modal("show");
               // oTable.ajax.reload();
            });
        }

        function deleteModal(userId) {
            $.get('@Url.Action("Reject", "OperationalRisk")', { Id: userId }, function (res) {
                $("#userModalBody").html(res);
                $("#userModal").modal("show");
               // oTable.ajax.reload();
            });
        }

        var oTable;
        $(document).ready(function () {
            // debugger;
            toastrFunction()
            oTable = $("#myTable").DataTable({
                "processing": true, // for show progress bar
                "serverSide": true, // for process server side
                "filter": true, // this is for disable filter (search box)
                "orderMulti": false, // for disable multiple column at once


                 "delay": 150,
                 "ajax": {
                        "url": "@Url.Action("GetDataDashboard", "OperationalRisk")",
                        "type": "GET",
                        "datatype": "json"
                },



                 "columns": [
                        { "data": "Username" },
                        { "data": "Department" },
                        { "data": "AttachmentUpload" },

                        {
                           "data": "AssessmentSetupId", "width": "50px", "render": function (data) {
                                return '<button class="btn btn-primary btn-lg" style="min-height:2rem" onclick="updateModal(' + data+ ')">Approve</button>';


                            }
                        },

                        {
                            "data": "AssessmentSetupId", "width": "50px", "render": function (data) {
                            return '<button class="btn btn-danger btn-lg" style="min-height:2rem" onclick="deleteModal(' + data+ ')">Reject</button>';


                            }
                        }

                 ],
                    "language": {
                        "emptyTable" : "No data found "
                    }



            })
        });


         function approveRecord() {
                        var form = $('form[name="updateCategoryForm"]');
             var entry = form.serialize();
             $.post('@Url.Action("Approve", "OperationalRisk")', entry, function (res) {
                if (res.status) {
                    toastr.success("Successfully Approved", "Notification");

                    oTable.ajax.reload();
                    $("#userModal").modal('hide');
                }
                else {
                    toastr.error("Failed to update, <br> Please check if the record already existed", "Error Notification");
                }
               //
            });
        }
             function rejectRecord() {
                        var form = $('form[name="rejectCategoryForm"]');
             var entry = form.serialize();
             $.post('@Url.Action("Reject", "OperationalRisk")', entry, function (res) {
                if (res.status) {
                    toastr.success("Successfully Rejected", "Notification");

                    oTable.ajax.reload();
                    $("#userModal").modal('hide');
                }
                else {
                    toastr.error("Failed to update, <br> Please check your internet connnection", "Error Notification");
                }
               //
            });
        }
           function toastrFunction() {

             if ('@TempData["CreateQuest"]'.length > 1) {
              toastr.success('@TempData["CreateQuest"]','Notification');
             }
             else  if ('@TempData["FailedQuest"]'.length>1) {
              toastr.error('@TempData["FailedQuest"]','Notification');
           }

        }


    </script>*@